commit 42025680cb0a30eba4ed48d125586a4dda3c973e
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue May 12 00:14:33 2020 +0430

    2.6.6

 NEWS             | 7 +++++++
 configure.ac     | 2 +-
 meson.build      | 2 +-
 src/hb-version.h | 4 ++--
 4 files changed, 11 insertions(+), 4 deletions(-)

commit 57d67f177508c11a2a9b9e8aa5f2d3540b5319f5
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue May 12 00:03:17 2020 +0430

    [RELEASE] minor update

 RELEASING.md | 20 +++++---------------
 1 file changed, 5 insertions(+), 15 deletions(-)

commit b169a52c1e3c5d16adcf3e80cba37bb86adcbe77
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon May 11 14:35:11 2020 +0200

    [blob] Fix build when HAVE_MMAP is not defined

 src/hb-blob.cc | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit a2ce96881b40c1689319c1f699f1469afc3ffe40
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon May 11 17:15:37 2020 +0430

    [cff] remove the not used member

 src/hb-subset-cff1.cc | 4 ----
 1 file changed, 4 deletions(-)

commit 2cc78a58c3fecf7a3cb26c01949e9cd4d0cd9ee5
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon May 11 15:56:54 2020 +0430

    [number] minor

 src/hb-number-parser.hh | 16 +++++++---------
 src/hb-number-parser.rl |  8 +++-----
 2 files changed, 10 insertions(+), 14 deletions(-)

commit bb095e1bdd0f7f1de88651d6f7223bc04bf70d70
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun May 10 22:00:05 2020 +0430

    [meson] make -subset target dependent to deps to get libm dependency

 src/meson.build | 1 +
 1 file changed, 1 insertion(+)

commit dca8ba6b6d637ebfc51d658a893e8dbda28b7709
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun May 10 16:57:45 2020 +0430

    [number] Make hb_parse_double simpler now that we don't have to mimic strtod

 src/hb-number-parser.hh | 23 ++++++++++++-----------
 src/hb-number-parser.rl | 15 ++++++++-------
 src/hb-number.cc        | 25 +++++++++++++------------
 src/test-number.cc      | 20 --------------------
 4 files changed, 33 insertions(+), 50 deletions(-)

commit 44fe1c8ff19048d11785ff154993d6637b447fdd
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Mar 25 16:36:48 2020 +0430

    Remove xlocale use now that isn't available in most distros
    
    Our CI bots don't detect it in Alpine, ArchLinux, Ubuntu and Fedora
    so let's get rid of it use the fallback we are using anyway for a
    long time.

 CMakeLists.txt     |  6 +----
 configure.ac       |  4 +--
 meson.build        |  3 ---
 src/hb-number.cc   | 71 +-----------------------------------------------------
 src/test-number.cc |  9 -------
 5 files changed, 4 insertions(+), 89 deletions(-)

commit eea99d7b7253027570f7afe64ca63962618553b7
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun May 10 14:46:16 2020 +0430

    [meson] Let name_prefix of exported libraries the default
    
    meson complains about this and it is the default per #2256
    
    Fixes #2256

 src/meson.build | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 2ac4222022ee261269994ce4eaf4d7c070152492
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun May 10 14:20:27 2020 +0430

    [meson] specify preferred linker to avoid stdc++ linking

 meson_options.txt |  2 ++
 src/meson.build   | 19 ++++++++++++++++++-
 2 files changed, 20 insertions(+), 1 deletion(-)

commit 15083c24ee7c69e17eee4d99ee9db121a150338b
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun May 10 14:12:20 2020 +0430

    [meson] Reenable make check-symbols compatible with gcov

 src/check-symbols.sh |  2 +-
 src/meson.build      | 29 ++++++++++++++++++++---------
 2 files changed, 21 insertions(+), 10 deletions(-)

commit 68855e4a6dedf40d643a1ec9ac89c9ae32ce763c
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Fri May 8 00:51:15 2020 +0200

    [docs] Don’t recommend outdated FDO releases pages

 docs/usermanual-install-harfbuzz.xml | 10 ++--------
 1 file changed, 2 insertions(+), 8 deletions(-)

commit 1ec77522d838dd751733d3927e3d9589bf298853
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Thu May 7 14:08:05 2020 +0430

    [docs] Simplify logo's SVG source, down scale png version
    
    * SVG version is simplified using SVGO and some hand tweak
    * PNG result of SVG logo is optimized using pngwolf-zopfli
    * Down scaled to fit visually a little better on docs page

 docs/HarfBuzz.png | Bin 8814 -> 4740 bytes
 docs/HarfBuzz.svg | 283 ++----------------------------------------------------
 2 files changed, 7 insertions(+), 276 deletions(-)

commit 0b261c5d0b38f1b9a564798ea26edb698e872841
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Thu May 7 10:28:24 2020 +0430

    [ci] disable clang-{everthing,*san} bots
    
    are flaky, will enable them somewhere else

 .circleci/config.yml | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 385d64eef1d5dd37187310a08ca6f0408a2e4625
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Thu May 7 09:59:01 2020 +0430

    Add a not discardable bool type, hb_success_t

 src/hb-open-type.hh |  4 ++--
 src/hb.hh           | 12 ++++++++++++
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 1026b3d0b65fd101939ce8d2b74aaf074c44c3e6
Author: jfkthame <jfkthame@gmail.com>
Date:   Wed May 6 21:32:24 2020 +0100

    [subset] Check vector resize() call for failure (#2389)
    
    Other .resize() calls are checked, presumably this one should be as well.

 src/hb-subset-cff2.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 100d40c827eb8336b2b671856f151275d47e71ad
Author: jfkthame <jfkthame@gmail.com>
Date:   Wed May 6 01:48:24 2020 +0100

    [aat] Fix implementation of AAT kerning for Geeza Pro. (#2388)
    
    * [aat] Fix implementation of AAT kerning for Geeza Pro.
    
    Despite what the comment in the code used to say, it appears that Geeza Pro
    does rely on accumulating kerning values from successive subtables. With
    this change, the results now match Core Text rendering (and avoid the clear
    visual breakage reported in #2358).
    
    Testcase: U+0644,U+064E,U+0645,U+064E,U+0651,U+0627
    
    Fixes #2358.
    
    * [aat] Update test expectations, add new testcase.

 src/hb-aat-layout-kerx-table.hh              | 50 +++++++++++++---------------
 test/shaping/data/in-house/tests/macos.tests | 12 ++++---
 2 files changed, 31 insertions(+), 31 deletions(-)

commit 9fc774ab00be92dbfd1cc1c03b4e6cadcd9b7674
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Thu Apr 30 23:14:54 2020 +0430

    minor spacing

 src/hb-blob.cc                |  4 ++--
 src/hb-ot-color-cbdt-table.hh | 12 ++++++------
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 09b9d63e56eb8dac50db9684cf5a77a84eb31a60
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Apr 30 18:51:46 2020 +0200

    [blob] Try to support resource fork fonts on macOS
    
    If the size of opened file is zero, try opening resource fork by
    appending "/..namedfork/rsrc" to the file name. This is guarded with
    __APPLE__ ifdef and uses _PATH_RSRCFORKSPEC macro from sys/paths.h.
    
    Defining HB_NO_RESOURCE_FORK will disable this fallback.
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/2383

 src/hb-blob.cc | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)

commit d6ddb232fc9b8c3a04398360a1d3a0b7931033e3
Author: René Meusel <rene.meusel@nexenio.com>
Date:   Tue Apr 28 19:30:00 2020 +0200

    FIX: -Wextra-semi-stmt in Clang9

 src/hb-coretext.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8ba8980222731a51f23ebc12b0145d29caee1a91
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 28 20:14:17 2020 +0430

    [ci] enable experimental apis in coverity scan

 .github/workflows/coverity-scan.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d63ee13a2a3d4e480bd563dcbac74817b675e812
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 28 20:01:11 2020 +0430

    [ci] enable more on coverity

 .github/workflows/coverity-scan.yml | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit ace202e17e7f41aa3347618426b334be3d9f0e17
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 28 19:38:04 2020 +0430

    [ci] remove trigger-coverity.sh
    
    hopefully not needed, we are submitting it in a bot

 .ci/trigger-coverity.sh | 11 -----------
 1 file changed, 11 deletions(-)

commit a22e6de0e96b68b28cd750e3041fdc864bf3331a
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 28 19:25:37 2020 +0430

    [blob] close file reader handle
    
    fortunately it isn't in that use as having mmap reader as the default

 src/hb-blob.cc | 1 +
 1 file changed, 1 insertion(+)

commit 39976ee660ba82c75e4fa757134f7925740b1c4d
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 28 18:50:33 2020 +0430

    [ci] install fonttools in linux-ci bot

 .github/workflows/linux-ci.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1801489b49f4c2c6ef82fba89440d4e766de3555
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 28 18:47:39 2020 +0430

    [ci] Add coverity scan bot

 .github/workflows/coverity-scan.yml | 38 +++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit 156714f797fcb5bc07ff5e22ae8ee8d78a7cf79b
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 28 16:32:15 2020 +0430

    [ci] fix linux-ci bot
    
    It shows some percentage of coverage regression
    as the switch from lcov to gcovr and autotools to meson while this travis to github actions switch.

 .github/workflows/linux-ci.yml | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 4b298cc6c4e3ecdde2d27dfa28e8cbb377a5e05d
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 28 15:50:03 2020 +0430

    [ci] remove travis's clang bot
    
    we are testing it on other bots, let's remove it from travis

 .travis.yml | 24 ++----------------------
 1 file changed, 2 insertions(+), 22 deletions(-)

commit 34a4ce98f4ccf7c6aa6cb7d4e4497da4cf2aeb0f
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 28 15:34:29 2020 +0430

    [ci] run apt-get with sudo

 .github/workflows/linux-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f27c0065d42f22c3f1484d97cac34f727832ff78
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 28 15:30:25 2020 +0430

    [ci] Add a GitHub CI bot
    
    Run coverage also

 .github/workflows/linux-ci.yml | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit 482f4aafd53982d96f08eaebe9af6e7dd4419dc9
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 28 15:29:19 2020 +0430

    [ci] Remove coverity and codecov
    
    * This coverity runner doesn't work from here but will try again in GitHub Actions bot
    * Trying to move codecov to GitHub Actions

 .travis.yml | 13 -------------
 1 file changed, 13 deletions(-)

commit 6890554256f96d2dee43261ad5012e788695754c
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 28 14:56:47 2020 +0430

    [ci/meson] temporarily disable check-symbols
    
    will enable again

 src/meson.build | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e53c44e3260d6136e27635b5bbcb2da43bc4f1b1
Author: Qunxin Liu <qxliu@google.com>
Date:   Fri Apr 24 14:06:13 2020 -0700

    [subset] temporarily revert previous cmap commit
    Required in https://github.com/harfbuzz/harfbuzz/issues/2356

 src/hb-ot-cmap-table.hh                                  |   3 ++-
 test/api/test-subset-cmap.c                              |   4 +++-
 test/subset/data/Makefile.sources                        |   2 +-
 .../expected/japanese/Mplus1p-Regular.default.25771.ttf  | Bin 1824 -> 0 bytes
 .../japanese/Mplus1p-Regular.drop-hints.25771.ttf        | Bin 1096 -> 0 bytes
 .../japanese/Mplus1p-Regular.keep-gdef.25771.ttf         | Bin 1860 -> 0 bytes
 test/subset/data/tests/japanese.tests                    |   1 -
 test/subset/meson.build                                  |   1 -
 8 files changed, 6 insertions(+), 5 deletions(-)

commit 08428a15c392e2fff267aa3bc92b343f566c983a
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Apr 24 23:45:17 2020 +0430

    minor, spacing

 src/hb-aat-fdsc-table.hh        |   4 +-
 src/hb-aat-layout-just-table.hh |   8 +--
 src/hb-aat-layout-opbd-table.hh |   4 +-
 src/hb-aat-layout-trak-table.hh |   2 +-
 src/hb-ot-cff-common.hh         |   3 +-
 src/hb-ot-cmap-table.hh         |   4 +-
 src/hb-ot-hdmx-table.hh         |  10 ++--
 src/hb-ot-hhea-table.hh         |  61 ++++++++++---------
 src/hb-ot-hmtx-table.hh         |  44 +++++++-------
 src/hb-ot-kern-table.hh         |  37 +++++++-----
 src/hb-ot-layout-gsubgpos.hh    |   2 +-
 src/hb-ot-math-table.hh         | 130 ++++++++++++++++++++++------------------
 src/hb-ot-maxp-table.hh         |   7 ++-
 src/hb-ot-meta-table.hh         |   5 +-
 src/hb-ot-name-table.hh         |   8 +--
 src/hb-ot-post-table.hh         |   2 +-
 src/hb-ot-stat-table.hh         |  14 ++---
 src/hb-ot-var-fvar-table.hh     |   6 +-
 src/hb-ot-vorg-table.hh         |   7 ++-
 19 files changed, 194 insertions(+), 164 deletions(-)

commit 89ad3c6cc520517af15174391a9725e634929107
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 23 10:57:30 2020 -0700

    Rename add_class to collect_class

 src/hb-ot-layout-common.hh     | 10 +++++-----
 src/hb-ot-layout-gdef-table.hh |  2 +-
 src/hb-ot-layout-gsubgpos.hh   |  2 +-
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 5cf53c06e66d3307d7b30ea32059437887abcab1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 23 10:55:41 2020 -0700

    Rename add_coverage to collect_coverage

 src/hb-ot-layout-common.hh     | 28 ++++++++++++++--------------
 src/hb-ot-layout-gpos-table.hh | 28 ++++++++++++++--------------
 src/hb-ot-layout-gsub-table.hh | 20 ++++++++++----------
 src/hb-ot-layout-gsubgpos.hh   | 30 +++++++++++++++---------------
 4 files changed, 53 insertions(+), 53 deletions(-)

commit 689f3f57fa26922af4f2ab451eb834ae6c3119b2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 23 10:51:12 2020 -0700

    [set] Add << overload for range-sink

 src/hb-set.hh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit a7df5a7bdaef870617b6bdb7350a26ebbec5824a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 23 10:50:02 2020 -0700

    [hashmap] Minor

 src/hb-map.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cc1ed76f381531c800833cb0f5b41fc524ed20a3
Merge: 5a0936f5 a11db0b9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Apr 24 08:15:32 2020 -0700

    Merge pull request #1729 from n8willis/usermanual-integration
    
    [Docs] Usermanual: Add OS/platform-integration chapter

commit 5a0936f53ef533787a91063c0884275cc121585f
Author: David Corbett <corbett.dav@husky.neu.edu>
Date:   Thu Apr 23 19:09:00 2020 -0400

    Increase the size of the serialization buffer

 util/options.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a11db0b9d4d3e7cc22a4a53374d4f8a049ce067e
Merge: 1ed30515 19346524
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 23 15:32:43 2020 -0700

    Merge branch 'master' into usermanual-integration

commit 19346524c698586c24b0461648b33373092c60df
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Thu Apr 23 14:22:33 2020 +0430

    minor, add an option to skip private APIs use in main.cc

 src/main.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 2e3dfdcd5fe6ebf38872d8fd817a562bfade8c46
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Thu Apr 23 14:04:24 2020 +0430

    [meson] make 'tests' option enabled by default
    
    Not sure what 'auto' can mean here but it makes my local test to not run properly

 meson_options.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6881939f77e2d89ceba4cb6ed08075b93de6e500
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Apr 23 10:08:45 2020 +0200

    src: meson: Reindent after last changes

 src/meson.build | 162 ++++++++++++++++++++++++++++----------------------------
 1 file changed, 81 insertions(+), 81 deletions(-)

commit e18858c68509e1d4576bb14c7a07a5e9818c50ae
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Apr 23 10:06:20 2020 +0200

    src: Don't build tests when they are disabled

 src/meson.build | 2 ++
 1 file changed, 2 insertions(+)

commit 0c65a232fa00a1eb09ca0e9d1d8d26747b27416e
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Thu Apr 23 11:23:54 2020 +0430

    minor, add unlikely around lookup_limit_exceeded checks
    
    addresses https://github.com/harfbuzz/harfbuzz/pull/2294#issuecomment-618022488

 src/hb-ot-layout-gsubgpos.hh | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 3e686d24590fc0b30a4bbbf4dc762d6858de8e8f
Author: Evgeniy Reizner <razrfalcon@gmail.com>
Date:   Wed Apr 22 13:44:53 2020 +0300

    [kern] Refactoring.

 src/hb-kern.hh | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 186976ebd6cefdfe993b5ae400a559ca33c66688
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Apr 21 22:37:56 2020 -0700

    [autotools] C++11 requirement is mandatory
    
    How was this not updated?

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4cd99f28eefe695b86876736166fd119e22e04e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Apr 22 14:45:57 2020 -0700

    Reordering fails when GDEF table is absent #2140
    
    Preserve glyph class if there's no GDEF and no guess.
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/2140

 src/hb-ot-layout-gsubgpos.hh | 41 ++++++++++++++++++++++-------------------
 src/hb-ot-layout.hh          |  8 ++++----
 2 files changed, 26 insertions(+), 23 deletions(-)

commit 05be05eb65ed2a5d5d88df55f9e36d005408d66c
Author: Evgeniy Reizner <razrfalcon@gmail.com>
Date:   Wed Apr 22 13:34:51 2020 +0300

    [kern] Test format 3.

 test/shaping/data/in-house/tests/macos.tests | 1 +
 1 file changed, 1 insertion(+)

commit c7afb6d7b83da9f7503a033d289d4bba6af2ae39
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Apr 22 15:18:40 2020 +0200

    [docs] Fix broken link

 src/hb-ot-layout.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bd8aa1b043a6fb9e1d5dce735715ae9530d9ff20
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Apr 21 22:19:46 2020 -0700

    Minor

 src/hb-null.hh   | 4 ++--
 src/hb-shaper.hh | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit b22f61d86a27e1dcbcab5ecdbbff579175dc5aaf
Author: ckitagawa <ckitagawa@chromium.org>
Date:   Tue Apr 21 11:49:05 2020 -0400

    Fix bug

 src/hb-ot-color-cbdt-table.hh                            |   7 ++++++-
 ...-testcase-minimized-hb-subset-fuzzer-5684014636859392 | Bin 0 -> 7148 bytes
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 1cd14b40e794721d594553614cf4ece11410a934
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 21 14:42:17 2020 +0430

    minor, update ragel generated hb-number-parser.hh

 src/hb-number-parser.hh | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 6d5e8e5ee49aac1f51a35f67335ee2f633470d76
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 21 14:38:09 2020 +0430

    minor
    
    following to c37100e7d

 src/hb-number-parser.rl | 2 --
 1 file changed, 2 deletions(-)

commit 5b91c52083aee1653c0cf1e778923de00c08fa5d
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Apr 20 21:44:01 2020 +0000

    [ci] run experimental APIs tests

 .circleci/config.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 750bb73e32f967ce40e29751338e6a64042b5674
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 21 01:13:13 2020 +0430

    [meson] Add an experimental-api option

 .circleci/config.yml    |  4 ++--
 meson.build             |  4 ++++
 meson_options.txt       |  2 ++
 src/gen-def.py          |  2 +-
 src/main.cc             | 12 ++++++------
 src/meson.build         |  8 +++++++-
 test/subset/meson.build | 23 ++++++++++++++---------
 7 files changed, 36 insertions(+), 19 deletions(-)

commit 262eced2adae740de7dd7bcbb4359e892471536b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Apr 20 12:17:28 2020 -0700

    [subset] FeatureVariations subsetting is wrong
    
    Never drop FeatureVariationRecord for now.
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/2334

 src/hb-ot-layout-common.hh | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 2a549aadd334b43d37444fed37fdbf8ec673ec14
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Apr 21 00:32:34 2020 +0430

    minor

 util/options.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2be859d289a9e04199a29bd4b8d393a502ed4791
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Apr 20 23:48:23 2020 +0430

    minor, replace nullptr checks with implicit ones

 src/hb-blob.cc                  | 12 ++++++------
 src/hb-cff-interp-common.hh     |  6 +++---
 src/hb-cff-interp-cs-common.hh  |  4 ++--
 src/hb-cff2-interp-cs.hh        |  2 +-
 src/hb-directwrite.cc           |  2 +-
 src/hb-ot-cff-common.hh         | 18 ++++++++----------
 src/hb-ot-cff1-table.hh         | 26 +++++++++++++-------------
 src/hb-ot-cff2-table.hh         |  6 +++---
 src/hb-ot-layout.cc             |  2 +-
 src/hb-ot-os2-unicode-ranges.hh |  3 +--
 src/hb-subset-cff-common.cc     |  6 +++---
 src/hb-subset-cff-common.hh     | 22 +++++++++++-----------
 src/hb-subset-cff1.cc           | 28 ++++++++++++++--------------
 src/hb-subset-cff2.cc           | 17 ++++++++---------
 src/main.cc                     |  4 ++--
 src/test-buffer-serialize.cc    |  2 +-
 util/hb-subset.cc               |  4 ++--
 util/options.cc                 | 10 ++++++----
 18 files changed, 86 insertions(+), 88 deletions(-)

commit 0181f03019ec13031c179727eb2a38c478c05f5c
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Apr 20 17:07:09 2020 +0430

    [test] Workaround Windows pipe issue by storing ttx in a file

 test/subset/run-tests.py | 40 +++++++++++++++++++++++++++++-----------
 1 file changed, 29 insertions(+), 11 deletions(-)

commit 4cfb6cb9649fa58b606154e52bf7bb05d23f3f5b
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Apr 20 16:40:25 2020 +0430

    [ci] Switch msys2 bot to meson

 appveyor.yml | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 2dda6dd744b192616c65ca4aa5fce8e90fd0ff30
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Apr 20 14:12:45 2020 +0430

    minor, tweak spacing
    
    turn 8 spaces to tab, add space before Null/Crap

 src/hb-aat-layout-ankr-table.hh            |   2 +-
 src/hb-aat-layout-common.hh                |   6 +-
 src/hb-aat-layout-morx-table.hh            |   6 +-
 src/hb-aat-layout.cc                       |   2 +-
 src/hb-aat-map.cc                          |  10 +--
 src/hb-aat-map.hh                          |   4 +-
 src/hb-blob.cc                             |   2 +-
 src/hb-buffer.cc                           |   2 +-
 src/hb-buffer.h                            |   2 +-
 src/hb-buffer.hh                           |   4 +-
 src/hb-cff-interp-common.hh                |   6 +-
 src/hb-cff-interp-cs-common.hh             |   2 +-
 src/hb-cff2-interp-cs.hh                   |   2 +-
 src/hb-draw.hh                             |   2 +-
 src/hb-face.cc                             |   2 +-
 src/hb-font.cc                             |   2 +-
 src/hb-font.hh                             |   2 +-
 src/hb-machinery.hh                        |   2 +-
 src/hb-map.cc                              |   2 +-
 src/hb-map.hh                              |   4 +-
 src/hb-null.hh                             |   8 +-
 src/hb-open-file.hh                        |   4 +-
 src/hb-ot-cff-common.hh                    |   4 +-
 src/hb-ot-cff1-table.hh                    | 107 ++++++++++++------------
 src/hb-ot-cff2-table.hh                    |  18 ++---
 src/hb-ot-cmap-table.hh                    |  34 ++++----
 src/hb-ot-color-cpal-table.hh              |   2 +-
 src/hb-ot-glyf-table.hh                    |   4 +-
 src/hb-ot-hmtx-table.hh                    |   2 +-
 src/hb-ot-layout-common.hh                 | 126 ++++++++++++++---------------
 src/hb-ot-layout-gdef-table.hh             |  10 +--
 src/hb-ot-layout-gpos-table.hh             |  26 +++---
 src/hb-ot-layout-gsubgpos.hh               |  70 ++++++++--------
 src/hb-ot-layout.cc                        |  18 ++---
 src/hb-ot-name-table.hh                    |   2 +-
 src/hb-ot-shape-complex-arabic-fallback.hh |   4 +-
 src/hb-ot-shape-complex-arabic.cc          |   2 +-
 src/hb-ot-var-hvar-table.hh                |   4 +-
 src/hb-set.cc                              |  62 +++++++-------
 src/hb-set.hh                              |  24 +++---
 src/hb-shape-plan.cc                       |   2 +-
 src/hb-subset-cff-common.hh                |   2 +-
 src/hb-subset-cff1.cc                      |  12 +--
 src/hb-subset-cff2.cc                      |   6 +-
 src/hb-subset.hh                           |   2 +-
 src/hb-unicode.cc                          |   2 +-
 src/hb-vector.hh                           |   6 +-
 src/test-iter.cc                           |   2 +-
 48 files changed, 316 insertions(+), 315 deletions(-)

commit ac26f19c9ea1ff170cd5226470115f7d08860e02
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Apr 19 22:25:14 2020 +0430

    Refactor test/api/meson.build and always run test-unicode test

 test/api/meson.build | 39 ++++++++++-----------------------------
 1 file changed, 10 insertions(+), 29 deletions(-)

commit 0133cb55e2d76c81ccfeef3baf4c46e31297665c
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Apr 19 22:42:57 2020 +0430

    Minor, use hb_sorted_array::bsearch where possible

 src/hb-aat-layout.cc            | 2 +-
 src/hb-ot-cff1-table.cc         | 4 ++--
 src/hb-ot-os2-unicode-ranges.hh | 7 +++----
 3 files changed, 6 insertions(+), 7 deletions(-)

commit 1ed30515cb6308f1cf651cd502012ee5c8bd24ef
Author: n8willis <n8willis@users.noreply.github.com>
Date:   Sun Apr 19 15:38:52 2020 +0100

    [Docs, usernmanual] Fix with-icu=builtin explanation

 docs/usermanual-integration.xml | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit d6edd9a4083f523b6290ba29c1fcbb5a6b7f96bb
Author: n8willis <n8willis@users.noreply.github.com>
Date:   Sun Apr 19 15:26:28 2020 +0100

    [Docs, usermanual] Reword hb_ft_font_create_referenced explanation

 docs/usermanual-integration.xml | 29 +++++++++++++++++++----------
 1 file changed, 19 insertions(+), 10 deletions(-)

commit fb3acdbcb645f30671db0776577652d7545d21ed
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Sun Apr 19 14:57:04 2020 +0200

    meson: only install gobject/icu headers if the features are enabled

 src/meson.build | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit ad5dcda0b5a7fe3acb09615c0ba020927cca5cee
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Sun Apr 19 14:53:05 2020 +0200

    meson: install hb-icu.h header

 src/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2cc85281c2cc4169b972e9c5d951ddfcded6ddde
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 18 16:29:32 2020 -0700

    [serializer] Make snapshot()/revert() revert current object links
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/2325

 src/hb-serialize.hh | 38 +++++++++++++++++++++++++-------------
 1 file changed, 25 insertions(+), 13 deletions(-)

commit 6f6e78a26ecdd874403b7fe397e335f386ac02e7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 18 16:12:18 2020 -0700

    Fix float-to-double warnings
    
    ./hb-ot-glyf-table.hh:978:37: warning: implicit conversion increases floating-point precision: 'float' to 'double' [-Wdouble-promotion]

 src/hb-ot-glyf-table.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c37100e7d9a1bcce35c9db651f404a1a87c8a1a1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Apr 18 16:02:55 2020 -0700

    Clean up math.h and float.h includes

 src/hb-cff-interp-dict-common.hh | 2 --
 src/hb-number-parser.hh          | 2 --
 src/hb-ot-glyf-table.hh          | 2 --
 src/hb.hh                        | 1 +
 4 files changed, 1 insertion(+), 6 deletions(-)

commit c6b3f73b098225728d36448e15499473ff9419b8
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Apr 19 00:54:24 2020 +0430

    [meson] Make harfbuzz-icu separate module optout-able

 meson.build          |  3 +++
 meson_options.txt    |  2 ++
 src/meson.build      | 13 ++++++++++---
 test/api/meson.build |  2 +-
 4 files changed, 16 insertions(+), 4 deletions(-)

commit 8ae06c9489f132844cbede80b5fe8241ce47fc0e
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Sat Apr 18 20:22:45 2020 +0200

    meson: build a separate library for harfbuzz-icu
    
    This adds a seperate library like with autotools.
    
    This also fixes the ico feature option which was just set to required:false
    when disabled instead of really disabling it.
    Disabling is still broken with msvc because it then tries to find the library
    another way, but that's broken for all other deps as well so I left it as is.
    
    For tests only test-unicode.c is using icu specific functions so split it out
    into its own category which depends on harfbuzz-icu.
    
    Fixes #2338

 meson.build          |  7 +++++--
 src/meson.build      | 33 +++++++++++++++++++++++++++------
 test/api/meson.build | 16 +++++++++++++++-
 3 files changed, 47 insertions(+), 9 deletions(-)

commit 2354a90008043b0679e46c09165a9e53e47d39ab
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Sat Apr 18 20:28:25 2020 +0200

    tests: fix subset/run-tests.py under Windows
    
    It assumed that stdout of a subprocess in binary mode was using
    utf-8 which isn't the case. Instead open stdout of the subprocess
    in text mode and let Python handle the decoding.

 test/subset/run-tests.py | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit c1228990b9693226d8d14740414e4e93597f4a0f
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Sat Apr 18 15:29:56 2020 +0200

    autotools: Add fix_get_types.py to EXTRA_DIST
    
    So it ends up in the release tarball and can be used in the meson build.
    
    Fixes #2337

 src/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit dced2fbee97a4f8af9572076306d3b2e6476640e
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Sat Apr 18 14:37:03 2020 +0200

    meson: complete introspection build config
    
    Pass the same config to gobject-introspection as with cmake/autotools.
    
    This makes sure the c-include and package name is included in the gir
    and also fixes the build because of the missing HB_AAT_H* defines.
    
    Fixes #2336

 src/meson.build | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 22f7c61acf8073cb8db8db47e92aef18864a85c6
Author: ariza <ariza@adobe.com>
Date:   Fri Apr 17 23:49:51 2020 -0700

    implement SID to glyph ID mapping with predefined Charset
    Also fixes oss-fuzz 21769

 src/hb-ot-cff1-table.cc                            |  99 +++++++++++++++++++++
 src/hb-ot-cff1-table.hh                            |  29 +++++-
 test/api/test-ot-glyphname.c                       |  15 ++++
 ...case-minimized-hb-shape-fuzzer-5769590820044800 | Bin 0 -> 87807 bytes
 4 files changed, 142 insertions(+), 1 deletion(-)

commit f9bc373381ddf8553f943b774596ae5a53bf2641
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Apr 17 22:37:48 2020 +0430

    2.6.5

 NEWS             | 13 +++++++++++++
 configure.ac     |  2 +-
 meson.build      |  2 +-
 src/hb-ft.cc     |  4 ++--
 src/hb-version.h |  4 ++--
 5 files changed, 19 insertions(+), 6 deletions(-)

commit a8455292f4fc44ffee5a4efae04cd94195696908
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Apr 17 22:50:48 2020 +0430

    [layout] minor on doc

 src/hb-ot-layout.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fefaa8c835cf42f3ee5327a927aac62a10165019
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Apr 17 22:28:09 2020 +0430

    [test] define G_APPROX_VALUE and EPSILON only when used
    
    resolves -Weverything bot complain

 test/api/test-var-coords.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 29c903223b31c30ad609a23c75a98231674c3a73
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Apr 17 22:11:40 2020 +0430

    Move hb_ot_layout_closure_{features,lookups} behind EXPERIMENTAL flag

 src/gen-def.py                    |  4 +++-
 src/hb-ot-layout.cc               |  2 ++
 src/hb-ot-layout.h                |  2 ++
 src/hb-subset-plan.cc             |  6 ++++++
 test/api/test-ot-face.c           |  4 ++++
 test/api/test-subset-gpos.c       |  4 ++++
 test/subset/data/Makefile.sources | 13 ++++++++-----
 test/subset/meson.build           | 18 +++++++++---------
 8 files changed, 38 insertions(+), 15 deletions(-)

commit 9b7fb5c23fb7b333e0e81b8c82160aac4a21b27e
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Apr 17 20:12:24 2020 +0430

    Move hb_font_get_var_coords_design behind HB_EXPERIMENTAL_API

 src/gen-def.py             | 3 ++-
 src/hb-font.cc             | 4 +++-
 src/hb-font.h              | 2 ++
 test/api/test-var-coords.c | 2 ++
 4 files changed, 9 insertions(+), 2 deletions(-)

commit 41c671e701e13bdd4a196030b74172fe1c6b7ccf
Author: Behdad Esfahbod <behdad@behdad.org>
